package com.liang.controller;

import com.liang.entity.BaseDegree;
import com.liang.service.BaseDegreeService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * (BaseDegree)表控制层
 *
 * @author makejava
 * @since 2023-02-15 23:13:16
 */
@RestController
@RequestMapping("baseDegree")
public class BaseDegreeController {
    /**
     * 服务对象
     */
    @Resource
    private BaseDegreeService baseDegreeService;

    /**
     * 分页查询
     *
     * @param baseDegree  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<BaseDegree>> queryByPage(BaseDegree baseDegree, PageRequest pageRequest) {
        return ResponseEntity.ok(this.baseDegreeService.queryByPage(baseDegree, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<BaseDegree> queryById(@PathVariable("id") Integer id) {
        return ResponseEntity.ok(this.baseDegreeService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param baseDegree 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<BaseDegree> add(BaseDegree baseDegree) {
        return ResponseEntity.ok(this.baseDegreeService.insert(baseDegree));
    }

    /**
     * 编辑数据
     *
     * @param baseDegree 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<BaseDegree> edit(BaseDegree baseDegree) {
        return ResponseEntity.ok(this.baseDegreeService.update(baseDegree));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(Integer id) {
        return ResponseEntity.ok(this.baseDegreeService.deleteById(id));
    }

}

